import logging

import redis

logger = logging.getLogger("RedisHelper.py")
logging.basicConfig(level=logging.INFO, format='%(asctime)s - %(name)s - %(levelname)s - %(message)s')


class RedisHelper(object):
    def __init__(self, host: str, port: int, password: str):
        self.host = host
        self.port = port
        self.password = password
        self.redis_conn = redis.Redis(host=self.host, port=self.port, password=password)

    def add_number_to_set(self, key: str, number):
        logger.info(f"Redis Set写入: {key} ---> {number}")
        self.redis_conn.sadd(key, number)

    def set_expire(self, key: str, expire: int):
        logger.info(f"Redis Expire: {key} ---> {expire}")
        self.redis_conn.expire(key, expire)

    def m_get_value(self, keys):
        self.redis_conn.mget(keys)

    def get_value(self, key: str):
        # logger.info(f"Redis Get Value: {key}")
        return self.redis_conn.get(key)

    def m_get_pipeline(self, keys):
        pipeline = self.redis_conn.pipeline()
        for key in keys:
            pipeline.get(key)

        v = pipeline.execute()

        return v
